import { AlgorithmType } from '../types/algorithm.types';

export type DefaultParams = {
  DRIVER: boolean;
  PASSENGER: boolean;
  SEATS_PROPOSED: number;
  SEATS_REQUESTED: number;
  DEPARTURE_TIME_MARGIN: number;
  STRICT: boolean;
  TIMEZONE: string;
  ALGORITHM_TYPE: AlgorithmType;
  REMOTENESS: number;
  USE_PROPORTION: boolean;
  PROPORTION: number;
  USE_AZIMUTH: boolean;
  AZIMUTH_MARGIN: number;
  MAX_DETOUR_DISTANCE_RATIO: number;
  MAX_DETOUR_DURATION_RATIO: number;
  PER_PAGE: number;
};
